AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.7

Here is a list of all documented class members with links to the class documentation for each member:

### - a -

- ack() : AMPS::Client
- acquireRead() : AMPS::BlockStore
- add() : AMPS::DefaultServerChooser , AMPS::ServerChooser , AMPS::ServerChooserImpl
- addAckType() : AMPS::Command
- addAll() : AMPS::DefaultServerChooser
- addBlocks() : AMPS::BlockStore
- addConnectionStateListener() : AMPS::Client
- addHttpPreflightHeader() : AMPS::Client
- addMessageHandler() : AMPS::Client
- AMPSException() : AMPS::AMPSException
- append() : AMPS::_FIXBuilder< T > , AMPS::CompositeMessageBuilder
- assignAckType() : AMPS::Message
- assignBatchSize() : AMPS::Message
- assignBookmark() : AMPS::Message
- assignClientName() : AMPS::Message
- assignCommand() : AMPS::Message
- assignCommandId() : AMPS::Message
- assignCorrelationId() : AMPS::Message
- assignExpiration() : AMPS::Message
- assignFilter() : AMPS::Message
- assignGroupSequenceNumber() : AMPS::Message
- assignHeartbeat() : AMPS::Message
- assignLeasePeriod() : AMPS::Message
- assignMatches() : AMPS::Message
- assignMessageLength() : AMPS::Message
- assignMessageType() : AMPS::Message
- assignOptions() : AMPS::Message
- assignOrderBy() : AMPS::Message
- assignOwnershipAckType() : AMPS::Message
- assignOwnershipBatchSize() : AMPS::Message
- assignOwnershipBookmark() : AMPS::Message
- assignOwnershipClientName() : AMPS::Message
- assignOwnershipCommand() : AMPS::Message
- assignOwnershipCommandId() : AMPS::Message
- assignOwnershipCorrelationId() : AMPS::Message
- assignOwnershipExpiration() : AMPS::Message
- assignOwnershipFilter() : AMPS::Message
- assignOwnershipGroupSequenceNumber() : AMPS::Message
- assignOwnershipHeartbeat() : AMPS::Message
- assignOwnershipLeasePeriod() : AMPS::Message
- assignOwnershipMatches() : AMPS::Message
- assignOwnershipMessageLength() : AMPS::Message
- assignOwnershipMessageType() : AMPS::Message
- assignOwnershipOrderBy() : AMPS::Message
- assignOwnershipPassword() : AMPS::Message
- assignOwnershipReason() : AMPS::Message
- assignOwnershipRecordsInserted() : AMPS::Message
- assignOwnershipRecordsReturned() : AMPS::Message
- assignOwnershipRecordsUpdated() : AMPS::Message
- assignOwnershipSequence() : AMPS::Message
- assignOwnershipSowDelete() : AMPS::Message
- assignOwnershipSowKey() : AMPS::Message
- assignOwnershipSowKeys() : AMPS::Message
- assignOwnershipStatus() : AMPS::Message
- assignOwnershipSubscriptionIds() : AMPS::Message
- assignOwnershipTimeoutInterval() : AMPS::Message
- assignOwnershipTimestamp() : AMPS::Message
- assignOwnershipTopic() : AMPS::Message
- assignOwnershipTopicMatches() : AMPS::Message
- assignOwnershipTopNRecordsReturned() : AMPS::Message
- assignOwnershipUserId() : AMPS::Message
- assignOwnershipVersion() : AMPS::Message
- assignPassword() : AMPS::Message
- assignQueryID() : AMPS::Message
- assignQueryId() : AMPS::Message
- assignReason() : AMPS::Message
- assignRecordsInserted() : AMPS::Message
- assignRecordsReturned() : AMPS::Message
- assignRecordsUpdated() : AMPS::Message
- assignSequence() : AMPS::Message
- assignSowDelete() : AMPS::Message
- assignSowKey() : AMPS::Message
- assignSowKeys() : AMPS::Message
- assignStatus() : AMPS::Message
- assignSubId() : AMPS::Message
- assignSubscriptionId() : AMPS::Message
- assignSubscriptionIds() : AMPS::Message
- assignTimeoutInterval() : AMPS::Message
- assignTimestamp() : AMPS::Message
- assignTopic() : AMPS::Message
- assignTopicMatches() : AMPS::Message
- assignTopNRecordsReturned() : AMPS::Message
- assignUserId() : AMPS::Message
- assignVersion() : AMPS::Message
- authenticate() : AMPS::Authenticator , AMPS::DefaultAuthenticator